Hooks:PostHook( WeaponFactoryTweakData, "init", "VP70ModInit", function(self)

	self.parts.wpn_fps_pis_vp70_s_scifi.stance_mod.wpn_fps_pis_vp70.rotation = Rotation(0.07, -0.165, 0) -- Dont ask
	self.parts.wpn_fps_pis_vp70_s_scifi.override.wpn_fps_upg_o_rmr.stance_mod.wpn_fps_pis_vp70.rotation = Rotation(-0.07, 0.165, 0) -- Just dont
	
	for _, part_id in pairs(self.wpn_fps_pis_vp70.uses_parts) do
		if self.parts[part_id].type == "barrel_ext" then
			self.parts.wpn_fps_pis_vp70_s_scifi.override[part_id] = {a_obj="a_ns_wy88"}
		elseif self.parts[part_id].type == "gadget" then
			self.wpn_fps_pis_vp70.adds[part_id] = {"wpn_fps_pis_ppk_fl_mount"}
			self.wpn_fps_pis_x_vp70.adds[part_id] = {"wpn_fps_pis_ppk_fl_mount"}
		elseif self.parts[part_id].type == "slide_color" then 
			self.parts.wpn_fps_pis_vp70_body_standard.override[part_id].override = deep_clone(self.parts[part_id].override) or {}
			self.parts.wpn_fps_pis_vp70_body_early.override[part_id].override = deep_clone(self.parts[part_id].override) or {}
		end
	end
	
	-- Colors aka welcome to ovk limitation hell
	
	--Standard Lower
	self.parts.wpn_fps_pis_vp70_body_standard.override.wpn_fps_pis_vp70_sc_green.override.wpn_fps_pis_vp70_s_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_sc_green_standard"}
	self.parts.wpn_fps_pis_vp70_body_standard.override.wpn_fps_pis_vp70_sc_stormtrooper.override.wpn_fps_pis_vp70_s_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_sc_stormtrooper_standard"}
	self.parts.wpn_fps_pis_vp70_body_standard.override.wpn_fps_pis_vp70_sc_orange.override.wpn_fps_pis_vp70_s_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_sc_orange_standard"}
	self.parts.wpn_fps_pis_vp70_body_standard.override.wpn_fps_pis_vp70_sc_twotone.override.wpn_fps_pis_vp70_s_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_sc_twotone_standard"}
	self.parts.wpn_fps_pis_vp70_body_standard.override.wpn_fps_pis_vp70_sc_hkred.override.wpn_fps_pis_vp70_s_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_sc_hkred_standard"}
	self.parts.wpn_fps_pis_vp70_body_standard.override.wpn_fps_pis_vp70_sc_mix.override.wpn_fps_pis_vp70_s_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_sc_mix_standard"}

	--70s Lower
	self.parts.wpn_fps_pis_vp70_body_early.override.wpn_fps_pis_vp70_sc_dummy.override.wpn_fps_pis_vp70_s_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_pts/wpn_fps_pis_vp70_s_early"}
	self.parts.wpn_fps_pis_vp70_body_early.override.wpn_fps_pis_vp70_sc_green.override.wpn_fps_pis_vp70_s_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_sc_green_early"}
	self.parts.wpn_fps_pis_vp70_body_early.override.wpn_fps_pis_vp70_sc_stormtrooper.override.wpn_fps_pis_vp70_s_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_sc_stormtrooper_early"}
	self.parts.wpn_fps_pis_vp70_body_early.override.wpn_fps_pis_vp70_sc_orange.override.wpn_fps_pis_vp70_s_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_sc_orange_early"}
	self.parts.wpn_fps_pis_vp70_body_early.override.wpn_fps_pis_vp70_sc_twotone.override.wpn_fps_pis_vp70_s_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_sc_twotone_early"}
	self.parts.wpn_fps_pis_vp70_body_early.override.wpn_fps_pis_vp70_sc_hkred.override.wpn_fps_pis_vp70_s_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_sc_hkred_early"}
	self.parts.wpn_fps_pis_vp70_body_early.override.wpn_fps_pis_vp70_sc_mix.override.wpn_fps_pis_vp70_s_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_sc_mix_early"}

	
	--Standard Slide
	self.parts.wpn_fps_pis_vp70_s_standard.override.wpn_fps_pis_vp70_lc_green.override = {
		wpn_fps_pis_vp70_body_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_lc_green_standard"},
		wpn_fps_pis_vp70_body_early={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_lc_green_early"}
		}
	self.parts.wpn_fps_pis_vp70_s_standard.override.wpn_fps_pis_vp70_lc_stormtrooper.override = {
		wpn_fps_pis_vp70_body_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_lc_stormtrooper_standard"},
		wpn_fps_pis_vp70_body_early={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_lc_stormtrooper_early"}
		}
	self.parts.wpn_fps_pis_vp70_s_standard.override.wpn_fps_pis_vp70_lc_orange.override = {
		wpn_fps_pis_vp70_body_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_lc_orange_standard"},
		wpn_fps_pis_vp70_body_early={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_lc_orange_early"}
		}
	--Sci-fi Slide
	self.parts.wpn_fps_pis_vp70_s_scifi.override.wpn_fps_pis_vp70_lc_dummy.override = {
		wpn_fps_pis_vp70_body_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_pts/wpn_fps_pis_vp70_body_standard_scifi"},
		wpn_fps_pis_vp70_body_early={unit="units/mods/weapons/wpn_fps_pis_vp70_pts/wpn_fps_pis_vp70_body_early_scifi"}
		}
	self.parts.wpn_fps_pis_vp70_s_scifi.override.wpn_fps_pis_vp70_lc_green.override = {
		wpn_fps_pis_vp70_body_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_lc_green_standard_scifi"},
		wpn_fps_pis_vp70_body_early={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_lc_green_early_scifi"}
		}
	self.parts.wpn_fps_pis_vp70_s_scifi.override.wpn_fps_pis_vp70_lc_stormtrooper.override = {
		wpn_fps_pis_vp70_body_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_lc_stormtrooper_standard_scifi"},
		wpn_fps_pis_vp70_body_early={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_lc_stormtrooper_early_scifi"}
		}
	self.parts.wpn_fps_pis_vp70_s_scifi.override.wpn_fps_pis_vp70_lc_orange.override = {
		wpn_fps_pis_vp70_body_standard={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_lc_orange_standard_scifi"},
		wpn_fps_pis_vp70_body_early={unit="units/mods/weapons/wpn_fps_pis_vp70_colors_pts/wpn_fps_pis_vp70_lc_orange_early_scifi"}
		}
	

	
end )